class DaytimeConceptsController < ApplicationController
  # GET /daytime_concepts
  # GET /daytime_concepts.xml
  def index
    @daytime_concepts = DaytimeConcept.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @daytime_concepts }
    end
  end

  # GET /daytime_concepts/1
  # GET /daytime_concepts/1.xml
  def show
    @daytime_concept = DaytimeConcept.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @daytime_concept }
    end
  end

  # GET /daytime_concepts/new
  # GET /daytime_concepts/new.xml
  def new
    @daytime_concept = DaytimeConcept.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @daytime_concept }
    end
  end

  # GET /daytime_concepts/1/edit
  def edit
    @daytime_concept = DaytimeConcept.find(params[:id])
  end

  # POST /daytime_concepts
  # POST /daytime_concepts.xml
  def create
    @daytime_concept = DaytimeConcept.new(params[:daytime_concept])

    respond_to do |format|
      if @daytime_concept.save
        flash[:notice] = 'DaytimeConcept was successfully created.'
        format.html { redirect_to(@daytime_concept) }
        format.xml  { render :xml => @daytime_concept, :status => :created, :location => @daytime_concept }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @daytime_concept.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /daytime_concepts/1
  # PUT /daytime_concepts/1.xml
  def update
    @daytime_concept = DaytimeConcept.find(params[:id])

    respond_to do |format|
      if @daytime_concept.update_attributes(params[:daytime_concept])
        flash[:notice] = 'DaytimeConcept was successfully updated.'
        format.html { redirect_to(@daytime_concept) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @daytime_concept.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /daytime_concepts/1
  # DELETE /daytime_concepts/1.xml
  def destroy
    @daytime_concept = DaytimeConcept.find(params[:id])
    @daytime_concept.destroy

    respond_to do |format|
      format.html { redirect_to(daytime_concepts_url) }
      format.xml  { head :ok }
    end
  end
end
