class DaytimesController < ApplicationController
  # GET /daytimes
  # GET /daytimes.xml
  def index
    @daytimes = Daytime.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @daytimes }
    end
  end

  # GET /daytimes/1
  # GET /daytimes/1.xml
  def show
    @daytime = Daytime.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @daytime }
    end
  end

  # GET /daytimes/new
  # GET /daytimes/new.xml
  def new
    @daytime = Daytime.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @daytime }
    end
  end

  # GET /daytimes/1/edit
  def edit
    @daytime = Daytime.find(params[:id])
  end

  # POST /daytimes
  # POST /daytimes.xml
  def create
    @daytime = Daytime.new(params[:daytime])

    respond_to do |format|
      if @daytime.save
        flash[:notice] = 'Daytime was successfully created.'
        format.html { redirect_to(@daytime) }
        format.xml  { render :xml => @daytime, :status => :created, :location => @daytime }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @daytime.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /daytimes/1
  # PUT /daytimes/1.xml
  def update
    @daytime = Daytime.find(params[:id])

    respond_to do |format|
      if @daytime.update_attributes(params[:daytime])
        flash[:notice] = 'Daytime was successfully updated.'
        format.html { redirect_to(@daytime) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @daytime.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /daytimes/1
  # DELETE /daytimes/1.xml
  def destroy
    @daytime = Daytime.find(params[:id])
    @daytime.destroy

    respond_to do |format|
      format.html { redirect_to(daytimes_url) }
      format.xml  { head :ok }
    end
  end
end
