class PlaceConceptsController < ApplicationController
  # GET /place_concepts
  # GET /place_concepts.xml
  def index
    @place_concepts = PlaceConcept.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @place_concepts }
    end
  end

  # GET /place_concepts/1
  # GET /place_concepts/1.xml
  def show
    @place_concept = PlaceConcept.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @place_concept }
    end
  end

  # GET /place_concepts/new
  # GET /place_concepts/new.xml
  def new
    @place_concept = PlaceConcept.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @place_concept }
    end
  end

  # GET /place_concepts/1/edit
  def edit
    @place_concept = PlaceConcept.find(params[:id])
  end

  # POST /place_concepts
  # POST /place_concepts.xml
  def create
    @place_concept = PlaceConcept.new(params[:place_concept])

    respond_to do |format|
      if @place_concept.save
        flash[:notice] = 'PlaceConcept was successfully created.'
        format.html { redirect_to(@place_concept) }
        format.xml  { render :xml => @place_concept, :status => :created, :location => @place_concept }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @place_concept.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /place_concepts/1
  # PUT /place_concepts/1.xml
  def update
    @place_concept = PlaceConcept.find(params[:id])

    respond_to do |format|
      if @place_concept.update_attributes(params[:place_concept])
        flash[:notice] = 'PlaceConcept was successfully updated.'
        format.html { redirect_to(@place_concept) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @place_concept.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /place_concepts/1
  # DELETE /place_concepts/1.xml
  def destroy
    @place_concept = PlaceConcept.find(params[:id])
    @place_concept.destroy

    respond_to do |format|
      format.html { redirect_to(place_concepts_url) }
      format.xml  { head :ok }
    end
  end
end
